#include "BankAccount3.h"

BankAccount::BankAccount(std::string inName) {
	name = inName;
	balance = 0; // ... or implicitly
}

void BankAccount::deposit(float amount) {
	balance += amount;
}

void BankAccount::withdraw(float amount) {
	balance -= amount;
}

void BankAccount::transfer(BankAccount& to, float amount) {
	withdraw(amount);
	to.deposit(amount);
}

std::string BankAccount::report() {
	std::stringstream ss (std::stringstream::in | std::stringstream::out);
	ss << name << " " << balance;
	return ss.str();
}

SavingsAccount::SavingsAccount(std::string inName, float rate) : BankAccount(inName) {
	interestRate = rate;
}

void SavingsAccount::addInterest() {
	balance = balance * (1.0 + interestRate);
}

std::string SavingsAccount::report() {
	std::stringstream ss (std::stringstream::in | std::stringstream::out);
	ss << name << " " << interestRate << " " << balance;
	return ss.str();
}
